Bug 768822 - (CVE-2011-4616) CVE-2011-4616 perl-HTML-Template-Pro: XSS issue
CVE-2011-4616 perl-HTML-Template-Pro: XSS issue
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111218,reported=2...
: Security
Depends On: 773453
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-19 00:17 EST by Kurt Seifried
Modified: 2016-03-04 06:48 EST (History)
1 user (show)

See Also:
Fixed In Version: perl-HTML-Template-Pro 0.9507
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2011-12-19 00:17:18 EST
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=652587

The JS escaping in libhtml-template-pro-perl misses to escape "<" and
">" which allows XSS.  This was fixed in the last upstream release (0.9507).

An example script that triggers the bug is attached.  With 0.9507 it
outputs

&lt;evil&gt;

older versions generate

<evil>

instead.

Ansgar
Comment 1 Kurt Seifried 2012-01-11 16:12:41 EST
Created perl-HTML-Template-Pro tracking bugs for this issue

Affects: fedora-all [bug 773453]

Note You need to log in before you can comment on or make changes to this bug.